Orisumi

列出实体

GET
/entities

列出实体的当前版本,按 EntityId 升序分页。category 和 resourceName 都省略时列出全部实体;给出 resourceName 时只返回这种业务类型的实体。列出全部 EntitySchema 用 category=entity_schema。

Query Parameters

category?string

只返回这一类内容的实体。

Value in"observation""entity_schema""input_set""business"
resourceName?string

业务类型的资源名。只返回这种业务类型的实体。

limit?integer

一页最多返回的版本数。

Range1 <= value <= 1000
Default100
after?string

上一页响应中的 next。省略时从第一页开始。

Response Body

一页实体的当前版本。

application/json
  1. response
versions*array<>
next*|

下一页的游标,作为 after 传入。没有下一页时为 null。

Example Request
curl -X GET 'https://example.com/api/entities'
Example Response
{  "versions": [    {      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",      "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7",      "previousVersionId": "de7aac6a-ef9d-4693-9e70-ffd12c3baa44",      "category": "observation",      "schemaVersionId": "6856dbc6-454b-45a1-a35b-52f2061b8dca",      "recordedAt": "2019-08-24T14:15:22Z",      "content": {        "observerVersionId": "3a060ba7-4648-481d-8ee6-147a347a183b",        "contentVersionId": "a5a27b60-1951-4448-8e45-5c887f120534",        "inputSetVersionId": "0ffd8fea-521d-4052-adc0-e732666ff823",        "startAt": "2019-08-24T14:15:22Z",        "endAt": "2019-08-24T14:15:22Z",        "timeZone": "string"      }    }  ],  "next": "string"}